std::tuple_element< __i, tuple< _Types... > > Struct Template Reference
Utilities

`#include <tuple>`

## Public Types

using | type = typename _Nth_type< __i, _Types... >::type

## Detailed Description

template<size_t __i, typename... _Types>
struct std::tuple_element< __i, tuple< _Types... > >

Trait to get the Ith element type from a tuple.

Definition at line 1369 of file tuple.

## Member Typedef Documentation

## type

template<size_t __i, typename... _Types>

using std::tuple_element< __i, tuple< _Types... > >::type = typename _Nth_type<__i, _Types...>::type

Definition at line 1373 of file tuple.

The documentation for this struct was generated from the following file:

- tuple